# Uses of Enum Class
javafx.print.Collation

Packages that use Collation
Package
Description
javafx.print
Provides the public classes for the JavaFX Printing API.

## Uses of Collation in javafx.print

Methods in javafx.print that return Collation
Modifier and Type
Method
Description
`Collation`
JobSettings.`getCollation()`
Collation determines how sheets are sorted when multiple copies of a document are printed.
`Collation`
PrinterAttributes.`getDefaultCollation()`
The default collation setting.
`static Collation`
Collation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Collation[]`
Collation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.print that return types with arguments of type Collation
Modifier and Type
Method
Description
`final ObjectProperty<Collation>`
JobSettings.`collationProperty()`
Property representing an instance of `Collation`.
`Set<Collation>`
PrinterAttributes.`getSupportedCollations()`
Returns an unmodifiable set of the supported collation settings for this printer.
Methods in javafx.print with parameters of type Collation
Modifier and Type
Method
Description
`void`
JobSettings.`setCollation(Collation collation)`
Set the `Collation` property.